#!/bin/bash
#run ./make_dist.sh upload to upload new version to http://files.pad.ma/speedtag
repos_version=0.2
version=1.`cat  .bzr/branch/last-revision  | cut -f1 -d" "`

sed -i "s/em:version=\"$repos_version\"/em:version=\"$version\"/g" install.rdf
zip -9 -r speedtag-$version.xpi install.rdf chrome.manifest chrome \
    -x chrome/content/oxjs/.bzr/\*  \
    -x chrome/content/oxjs/demos/\* \
    -x chrome/content/oxjs/source/\* \
    -x chrome/content/oxjs/tests/\* \
    -x chrome/content/oxjs/build/js/jquery-\* \
    -x chrome/content/oxjs/tools/\* \
    -x \*.~1~ -x \*.orig

updateHash=`sha1sum speedtag-$version.xpi | cut -f1 -d' '`

sed -i "s/em:version=\"$version\"/em:version=\"$repos_version\"/g" install.rdf

cp update.rdf.in update.rdf
sed  -i -e "s/updateHash>.*<\/em:updateHash/updateHash>sha1:$updateHash<\/em:updateHash/g" \
        -e "s/speedtag-.*.xpi/speedtag-$version.xpi/g" \
        -e "s/<em:version>.*</<em:version>$version</g" update.rdf

echo "select update.rdf and sign"
mccoy
host=pad.ma
path=/srv/files/speedtag
# scp update.rdf speedtag-$version.xpi $host:$path
# ssh $host "ln -sf $path/speedtag-$version.xpi $path/speedtag.xpi"

